<?php

declare(strict_types=1);

namespace OliverKlee\Oelib\Http\Interfaces;

/**
 * This interface declares the function `addHeader()` for concrete classes, so they
 * need to implement the concrete behavior.
 *
 * Regarding the Strategy pattern, `addHeader()` represents the abstract strategy.
 *
 * @deprecated #1526 will be removed in oelib 6.0.0
 */
interface HeaderProxy
{
    /**
     * This function usually should add an HTTP header.
     *
     * @param non-empty-string $header HTTP header to send, e.g. 'Status: 404 Not Found'
     */
    public function addHeader(string $header): void;
}
